import 'dart:math';

import 'package:flutter/material.dart';
import 'package:syncfusion_flutter_charts/charts.dart';

void main() {
  return runApp(_ChartApp());
}

class _ChartApp extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      debugShowCheckedModeBanner: false,
      theme: ThemeData(primarySwatch: Colors.blue),
      home: _MyHomePage(),
    );
  }
}

class _MyHomePage extends StatefulWidget {
  // ignore: prefer_const_constructors_in_immutables
  _MyHomePage({Key? key}) : super(key: key);

  @override
  _MyHomePageState createState() => _MyHomePageState();
}

class _MyHomePageState extends State<_MyHomePage> {
  bool enabled = false;
  final List<ChartData> chartData = <ChartData>[
    ChartData(1, 11),
    ChartData(2, 13),
    ChartData(3, 29),
    ChartData(4, 28),
    ChartData(5, 35),
    ChartData(6, 37),
    ChartData(7, 50),
    ChartData(8, 11),
    ChartData(9, 13),
    ChartData(10, 29),
    ChartData(11, 28),
    ChartData(12, 35),
    ChartData(13, 37),
    ChartData(14, 50),
  ];
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      body: SfCartesianChart(
        primaryXAxis: NumericAxis(),
        legend: Legend(isVisible: true),
        tooltipBehavior: TooltipBehavior(enable: true),
        series: <CartesianSeries<ChartData, double>>[
          SplineSeries<ChartData, double>(
            animationDuration: 0,
            dataSource: chartData,
            name: 'SplineSeries',
            xValueMapper: (ChartData data, _) => data.x,
            yValueMapper: (ChartData data, _) => data.y,
            trendlines: <Trendline>[
              Trendline(
                enableTooltip: true,
                onRenderDetailsUpdate: (TrendlineRenderParams args) {
                  print(args.calculatedDataPoints);
                },
                type: TrendlineType.linear,
                name: 'Trendline',
                color: Colors.blue,
              )
            ],
          ),
        ],
      ),
    );
  }
}

class ChartData {
  ChartData(this.x, this.y);
  final double x;
  final double y;
}
